#!/bin/sh
# uncomment the next line to see more of the build process
#set -x
# BUILD script provided by Ready-to-Run Software, Inc.
# Copyright 1997 Ready-to-Run Software, Inc. All Rights Reserved.
BUILDDIR=`pwd`
BUILDPREFIX=${BUILDPREFIX-`pwd`}
SOURCEDIR=${SOURCEDIR-/cdrom/SOURCES}
if test ! -d $SOURCEDIR ; then 
   cd `dirname $0`/..; SOURCEDIR=`pwd`
   echo Assuming SOURCEDIR is $SOURCEDIR
   cd $BUILDDIR
fi
INSTALLDIR=${INSTALLDIR-/usr/local}
INSTALLSHAREDIR=${INSTALLSHAREDIR-/usr/local/share}
if test "$1" != ""; then 
   MACHINE=$1
   shift
fi
if test "$MACHINE" = ""; then 
   MACHINE=`$SOURCEDIR/../common/guess\;1 `
   echo "Assuming machine is $MACHINE"
fi
machine=$MACHINE
echo Ignore any errors about directories already existing
mkdir screen
mkdir -p $INSTALLDIR
mkdir $INSTALLDIR/bin
mkdir $INSTALLDIR/lib
mkdir -p $INSTALLSHAREDIR
mkdir $INSTALLSHAREDIR/man
mkdir $INSTALLSHAREDIR/man/man1
mkdir $INSTALLSHAREDIR/doc
mkdir $INSTALLSHAREDIR/${SHAREPREFIX}bin
mkdir $INSTALLSHAREDIR/${SHAREPREFIX}lib

cd $BUILDPREFIX/screen
SCREENREV=3.7.2
cat $SOURCEDIR/screen/scr372gz.\;1 | uncompress | tar xvf -
cd screen-3.7.2

(sed -e "s;<installsharedir>;$INSTALLSHAREDIR;" -e "s;<prefix>;$SHAREPREFIX;" -e "s;<installdir>;$INSTALLDIR;"  $SOURCEDIR/screen/rtr/screen.\;1 | patch -s -p )
test -f  $SOURCEDIR/screen/$machine/screen\;1 &&( sed -e "s;<installsharedir>;$INSTALLSHAREDIR;" -e "s;<prefix>;$SHAREPREFIX;" -e "s;<installdir>;$INSTALLDIR;"  $SOURCEDIR/screen/$machine/screen\;1 | patch -s -p -b .rtr )
configure --prefix $INSTALLDIR
case `machname` in
alpha | RISC | sun3 | hp700 )
make OPTIONS="-DPTYRANGE0=\\\"pqrstuvw\\\""
;;
i386 )
make OPTIONS="-DPTYRANGE0=\\\"pqrs\\\" -DPTYRANGE2=\\\"0123456789abcdef\\\""
;;
sun4c )
make OPTIONS="-DPTYRANGE0=\\\"pqrstuvwxyzPQRST\\\""
;;
* )
make
;;
esac

make docs
#
# become root to install - this allows suid to be set on screen executable
#
mkdir $INSTALLDIR/etc
make install  
mkdir $INSTALLSHAREDIR/${SHAREPREFIX}lib/extras/screen
cp etc/screenrc $INSTALLSHAREDIR/${SHAREPREFIX}lib/extras/screen

cd ..
cd $BUILDDIR
if test "$RM" != "" ; then rm -rf $BUILDDIR/screen ; fi
